Zum Hauptinhalt springen
GET
/
v3beta1
/
organizations
/
{org_id}
/
snapshot-setup
/
blueprints
Blueprints auf org- und Repo-Ebene auflisten
curl --request GET \
  --url https://api.devin.ai/v3beta1/organizations/{org_id}/snapshot-setup/blueprints \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "blueprint_id": "<string>",
      "created_at": 123,
      "repo_name": "<string>",
      "type": "enterprise",
      "updated_at": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.devin.ai/llms.txt

Use this file to discover all available pages before exploring further.

Berechtigungen

Erfordert einen Service-Benutzer mit der Berechtigung ManageRepoBlueprints auf Ebene der Organisation.

Autorisierungen

Authorization
string
header
erforderlich

Servicebenutzer-Anmeldedaten (Präfix: cog_)

Abfrageparameter

repo_name
string | null

Nach einem bestimmten Repository filtern (z. B. „org/repo“).

Antwort

Erfolgreiche Antwort

Listen-Envelope für Blueprints (wird in Ausführungsreihenfolge zurückgegeben).

data
Blueprint · object[]
erforderlich